summaryrefslogtreecommitdiffstats
path: root/source/ap/soma/soma.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/soma/soma.SlackBuild')
-rwxr-xr-xsource/ap/soma/soma.SlackBuild42
1 files changed, 26 insertions, 16 deletions
diff --git a/source/ap/soma/soma.SlackBuild b/source/ap/soma/soma.SlackBuild
index 7f837d5d4..09d3be2d7 100755
--- a/source/ap/soma/soma.SlackBuild
+++ b/source/ap/soma/soma.SlackBuild
@@ -1,8 +1,8 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for soma
-# Copyright 2010-2011 David Woodfall <dave@dawoodfall.net>
-# Copyright 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# (C) 2010 David Woodfall <dave@dawoodfall.net>
+# TMPROOT modification (C) Patrick Volkerding with thanks
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,22 +22,33 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=soma
-VERSION=${VERSION:-2.10.4}
+VERSION=${VERSION:-2.12.3}
ARCH=noarch
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
+#TAG=${TAG:-daw}
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-txz}"
+ exit 0
+fi
-CWD=$(pwd)
-TMP=${TMP:-/tmp}
+TMP=${TMP:-/tmp/daw}
PKG=$TMP/package-$PKGNAM
+OUTPUT=${OUTPUT:-/tmp}
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.gz
+tar xfv $CWD/$PKGNAM-$VERSION.tar.gz
cd $PKGNAM-$VERSION
chown -R root:root .
find . \
@@ -46,20 +57,19 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-mkdir -p $PKG/usr/bin $PKG/etc/soma $PKG/install $PKG/usr/doc/$PKGNAM-$VERSION
+mkdir -p $PKG/usr/bin $PKG/etc/soma/themes $PKG/install $PKG/usr/doc/$PKGNAM-$VERSION
install -m 755 soma $PKG/usr/bin/soma
-install --m 644 options.conf $PKG/etc/soma/options.conf.new
-install --m 644 stations.conf $PKG/etc/soma/stations.conf.new
-install --m 644 dialogrc $PKG/etc/soma/dialogrc.new
+install -m 644 options.conf $PKG/etc/soma/options.conf.new
+install -m 644 stations.conf $PKG/etc/soma/stations.conf.new
+install -m 644 themes/* $PKG/etc/soma/themes
cp -a \
- README \
+ README $CWD/ChangeLog.txt \
$PKG/usr/doc/$PKGNAM-$VERSION
cat $CWD/slack-desc > $PKG/install/slack-desc
zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
-
+/sbin/makepkg -l y -c n $OUTPUT/$PKGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-txz}